Package it.ernytech.tdlib

## Class TdApi.InlineQueryResults

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.InlineQueryResults

Enclosing class:
  TdApi

    public static class TdApi.InlineQueryResults
    extends TdApi.Object

Represents the results of the inline query. Use sendInlineQueryResultMessage to send the result of the query.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`long` `inlineQueryId` Unique identifier of the inline query.
`java.lang.String` `nextOffset` The offset for the next request.
`TdApi.InlineQueryResult[]` `results` Results of the query.
`java.lang.String` `switchPmParameter` Parameter for the bot start message.
`java.lang.String` `switchPmText` If non-empty, this text should be shown on the button, which opens a private chat with the bot and sends the bot a start message with the switchPmParameter.

### Constructor Summary

Constructors
`InlineQueryResults()` Default constructor.
`InlineQueryResults​(long inlineQueryId, java.lang.String nextOffset, TdApi.InlineQueryResult[] results, java.lang.String switchPmText, java.lang.String switchPmParameter)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### inlineQueryId

    public long inlineQueryId

Unique identifier of the inline query.

#### nextOffset

    public java.lang.String nextOffset

The offset for the next request. If empty, there are no more results.

#### results

    public TdApi.InlineQueryResult[] results

Results of the query.

#### switchPmText

    public java.lang.String switchPmText

If non-empty, this text should be shown on the button, which opens a private chat with the bot and sends the bot a start message with the switchPmParameter.

#### switchPmParameter

    public java.lang.String switchPmParameter

Parameter for the bot start message.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### InlineQueryResults

    public InlineQueryResults()

Default constructor.

#### InlineQueryResults

    public InlineQueryResults​(long inlineQueryId,
                              java.lang.String nextOffset,
                              TdApi.InlineQueryResult[] results,
                              java.lang.String switchPmText,
                              java.lang.String switchPmParameter)

Constructor for initialization of all fields.

Parameters:
  `inlineQueryId` - Unique identifier of the inline query.
  `nextOffset` - The offset for the next request. If empty, there are no more results.
  `results` - Results of the query.
  `switchPmText` - If non-empty, this text should be shown on the button, which opens a private chat with the bot and sends the bot a start message with the switchPmParameter.
  `switchPmParameter` - Parameter for the bot start message.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR